%define sqlite_version 3.39.2
%define uprel 0
%define pkg_version %{sqlite_version}.%{uprel}
%define module apsw

Name:           python-apsw
Version:        %{sqlite_version}.%{uprel}
Release:        %mkrel 1
Summary:        Another Python SQLite Wrapper
Group:          Development/Python
License:        zlib
URL:            https://rogerbinns.github.io/apsw/
Source0:        https://github.com/rogerbinns/apsw/archive/%{pkg_version}/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig(sqlite3) >= %{sqlite_version}

%description
APSW is a Python wrapper for the SQLite embedded relational database
engine. In contrast to other wrappers such as pysqlite it focuses on
being a minimal layer over SQLite attempting just to translate the
complete SQLite API into Python.

%package -n python3-%{module}
Summary:        Another Python3 SQLite Wrapper
Group:          Development/Python
License:        zlib
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
APSW is a Python3 wrapper for the SQLite embedded relational database
engine. In contrast to other wrappers such as pysqlite it focuses on
being a minimal layer over SQLite attempting just to translate the
complete SQLite API into Python.

%package doc
Summary:        Another Python SQLite Wrapper - Documentation
Group:          Development/Python
License:        zlib
BuildArch:      noarch

%description doc
APSW is a Python wrapper for the SQLite embedded relational database
engine. In contrast to other wrappers such as pysqlite it focuses on
being a minimal layer over SQLite attempting just to translate the
complete SQLite API into Python.

%prep
%setup -qn "apsw-%{pkg_version}"
%apply_patches

%build
%py3_build -- --enable=load_extension

%install
%py3_install

%files -n python3-%{module}
%{python3_sitearch}/*

%files doc
%doc doc/*

%changelog
* Tue Aug 09 2022 tex - 3.39.2.0-1pclos2022
- Update to version 3.39.2.0
